Bug 306501 - nocpulse user isn't created on install if user with UID 502 exists
nocpulse user isn't created on install if user with UID 502 exists
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
wes hayutin
Depends On:
Blocks: 248627 317791
  Show dependency treegraph
Reported: 2007-09-26 04:18 EDT by Vishal Gaikwad
Modified: 2010-10-22 14:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-02 20:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Vishal Gaikwad 2007-09-26 04:21:24 EDT
Another report from a customer with possible workaround:

I have experimented with a possible workaround. It is kind of complicated, but I
think it resolves their issue.

First, I identified the rpms which create files in /home/nocpulse with:

find /home/nocpulse -exec rpm -qf {} \; | sort | uniq

and end up with:

RPMS="ConfigPusher-general-1.2.0-3.rhel4 MessageQueue-3.26.0-3.rhel4
NOCpulsePlugins-2.208.0-27.rhel4 np-config-2.110.3-3.rhel4
perl-NOCpulse-Probe-1.183.1-18.rhel4 perl-NOCpulse-Scheduler-1.58.4-4.rhel4
ProgAGoGo-1.11.0-3.rhel4 SatConfig-bootstrap-1.11.0-5.rhel4
SatConfig-dbsynch-1.3.0-2.rhel4 SatConfig-installer-3.24.0-4.rhel4
SputLite-client-0.48.0-2.rhel4 ssl_bridge-1.9.0-3.rhel4 tsdb-1.27.13-13.rhel4"

then, mounting the Satellite media and changing to the RPMS directory:

* Disable monitoring
# service rhn-satellite stop
# useradd nocpulse
# for RPM in $RPMS; do rpm -e --nodeps $RPM; rpm -Uhv ${RPM}.noarch.rpm; done
# service rhn-satellite start
* Enable monitoring
# service rhn-satellite restart

This was the only way I could think of freshening the contents of
/home/nocpulse/* because a lot of the files are created with preinstall scripts.
I can't find any other reference to UID 502 in the satellite code so I'm
wondering if this is a reasonable workaround?
Comment 2 Jan Pazdziora 2007-10-30 16:03:42 EDT
Taking from Mike's queue.

Putting ? exception for 5.1.0. Not sure how hard it will be to QA it properly thou.
Comment 3 Mike McCune 2007-10-30 16:14:13 EDT
I checked in a fix that removes the -u 502 and built an RPM into the
playpen-monitoring-3AS collection just to test.

The RPM can be found here:


If you want the RPM in 510 just promote from playpen -> 510
Comment 4 Jan Pazdziora 2007-11-02 05:11:23 EDT

./promote playpen-monitoring-3AS monitoring-5.1-4AS NPusers
Comment 5 Jan Pazdziora 2007-11-10 05:39:20 EST
Moving ON_QA, prompted by:

Satellite 5.1.0-24 and Proxy 5.1.0-15 Content now available on webqa

Satellite 5.1.0-24 ISOs are now available as
rhn-satellite-5.1.0-24-redhat-linux-as-* @:

Comment 6 Jan Pazdziora 2007-11-19 08:02:03 EST
The release note might go like:

The nocpulse user no longer requires UID 502 to be free.
Comment 7 John Ha 2007-11-26 19:10:20 EST
Thanks, Jan, Here's a suggested note. Let me know if it's okay.

 An issue was fixed where the nocpulse user was not created if a user with the UID
 502 already existed.
Comment 8 Jan Pazdziora 2007-11-27 03:21:25 EST
Yes, nice.
Comment 10 Jan Pazdziora 2007-12-04 10:12:35 EST
1. Before installing Satellite, create user with uid 502: adduser -u 502 test502
2. Run Satellite installation.
3. It should fail with 5.0.1 and should not fail with 5.1.0.
Comment 11 wes hayutin 2007-12-12 14:43:16 EST
verified build 28
nocpulse:x:503:503:NOCpulse user:/home/nocpulse:/bin/bash
nocops:x:504:504:NOCpulse Ops:/home/nocops:/bin/bash
jabberd:x:100:101:Jabber Daemon:/:/bin/false
oracle:x:101:103:Oracle Server:/opt/apps/oracle:/bin/bash
Comment 14 Brandon Perkins 2008-04-02 20:24:49 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.